Bug 150544 - CGI cannot send email
CGI cannot send email
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-07 23:18 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-09 13:18:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-03-07 23:18:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041217

Description of problem:
Had to add the following to the local config to allow a cgi script to send email:

allow system_mail_t etc_mail_t:file { getattr read };

Otherwise, it couldn't read /etc/mail/submit.cf and /etc/mail/sendmail.cf.



Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.21.15-6

How reproducible:
Always

Steps to Reproduce:
1.  Try to send email via CGI or perhaps other system...
2.
3.
  

Additional info:
Comment 1 Daniel Walsh 2005-03-08 09:58:21 EST
Fixed in selinux-policy-targeted-1.21.15-7
Comment 2 Orion Poplawski 2005-03-09 12:32:53 EST
Confirmed fixed in selinux-policy-targeted-1.21.16-1

Note You need to log in before you can comment on or make changes to this bug.